Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreExtensions

Exposes extensions allowing to register the OpenIddict Entity Framework Core services.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictEntityFrameworkCoreExtensions

### Methods

#### UseEntityFrameworkCore(OpenIddictCoreBuilder)

Registers the Entity Framework Core stores services in the DI container and configures OpenIddict to use the Entity Framework Core entities by default.

##### Declaration

    public static OpenIddictEntityFrameworkCoreBuilder UseEntityFrameworkCore(this OpenIddictCoreBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictCoreBuilder | builder | The services builder used by OpenIddict to register new services.

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkCoreBuilder | The OpenIddictEntityFrameworkCoreBuilder.

##### Remarks

This extension can be safely called multiple times.

#### UseEntityFrameworkCore(OpenIddictCoreBuilder, Action<OpenIddictEntityFrameworkCoreBuilder>)

Registers the Entity Framework Core stores services in the DI container and configures OpenIddict to use the Entity Framework Core entities by default.

##### Declaration

    public static OpenIddictCoreBuilder UseEntityFrameworkCore(this OpenIddictCoreBuilder builder, Action<OpenIddictEntityFrameworkCoreBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictCoreBuilder | builder | The services builder used by OpenIddict to register new services.
System.Action<OpenIddictEntityFrameworkCoreBuilder> | configuration | The configuration delegate used to configure the Entity Framework Core services.

##### Returns

Type | Description
--- | ---
OpenIddictCoreBuilder | The OpenIddictCoreBuilder.

##### Remarks

This extension can be safely called multiple times.